Use Atlantic;
GO
SET NOCOUNT ON
SELECT *
FROM AtlanticEmployees

BEGIN TRANSACTION
DECLARE @errormessage NVARCHAR(200)
	INSERT INTO AtlanticEmployees	(emp_Name, emp_Sal)
	VALUES('Mary', -5110)

	SELECT @errormessage = ERROR_MESSAGE()
	IF @@ERROR <> 0 GOTO err_Handler
COMMIT TRANSACTION

err_Handler:
BEGIN
	BEGIN TRANSACTION
	PRINT @errormessage
	ROLLBACK TRANSACTION
END

SELECT *
FROM AtlanticEmployees